package com.loafle.overflow.sensor.dao;

import com.loafle.overflow.dao.crawler.model.Crawler;
import com.loafle.overflow.dao.sensor.dao.JPASensorItemDao;
import com.loafle.overflow.dao.sensor.dao.SensorItemDao;
import com.loafle.overflow.dao.sensor.model.SensorItem;
import com.loafle.overflow.dao.sensor.model.SensorItemCategory;
import org.junit.Before;
import org.junit.Ignore;
import org.junit.Test;

import java.util.List;

import static org.junit.Assert.*;

/**
 * Created by root on 17. 6. 9.
 */
public class JPASensorItemDaoTest {

    private SensorItemDao sensorItemDao = null;

    @Before
    public void before() {
        this.sensorItemDao = new JPASensorItemDao();
    }

    @Ignore
    @Test
    public void create() {


        SensorItem sensorItem = new SensorItem();

        Crawler crawler = new Crawler();
        crawler.setId(1L);

        SensorItemCategory category = new SensorItemCategory();
        category.setId(1L);

        sensorItem.setCrawler(crawler);
        sensorItem.setDataType("int");
        sensorItem.setDescription("count getget");
        sensorItem.setName("net.mysql.connection_count");
        sensorItem.setSensorItemCategory(category);

        this.sensorItemDao.create(sensorItem);

    }

    @Ignore
    @Test
    public void list() {

        Crawler crawler = new Crawler();
        crawler.setId(1L);

        List<SensorItem> is = this.sensorItemDao.findAllByCrawlerId(crawler);


        System.out.println(is.size());

    }

}